package com.ruoyi.system.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.system.domain.SyncVisit;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 参数配置 服务层
 *
 * @author ruoyi
 */
public interface ISyncVisitService extends IService<SyncVisit>
{
    public List<SyncVisit> listS();

    SyncVisit findOne(LambdaQueryWrapper<SyncVisit> eq);

    @Transactional(rollbackFor = Exception.class)
    void Save(SyncVisit vo);

    Integer selectCount(Wrapper<SyncVisit> queryWrapper);
}
